PlanDocket

Reports

Business+

Generate reports and analytics.

Read Only This endpoint only supports GET requests.
Required scopes: reports
Access level: GET reports:read About access levels

Endpoints

GET /api/v1/reports/revenue

Get revenue report

GET /api/v1/reports/participants

Get participants report

GET /api/v1/reports/applications

Get applications report

GET /api/v1/reports/payments

Get payments report

GET /api/v1/reports/overview

Get overview report (participant statistics are only included with event_key, otherwise null)

Query Parameters

Parameter Description
event_key Filter by event key
date_from Report start date (ISO 8601)
date_to Report end date (ISO 8601)

Response Schema

Field Type
report_type string
filters object
data object
generated_at string

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/reports/overview" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/reports/overview',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/reports/overview`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/reports/overview', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": {
        "report_type": "string",
        "filters": {},
        "data": {},
        "generated_at": "2026-01-15T10:00:00+01:00"
    }
}